# HP-16600-16700-RPI

This is a Python 3 library for interacting with HP / Agilent 16600A and 16700 logic analyzer main frames.

It allows for automatic configuration and data acquisition through the RPI interface.
The collected data is presented in easy to use Panda dataframes for further analyses.

## Requirements:

- Python => 3.6
- Python Pandas
- A compatible HP / Agilent logic analyzer with a network connection

## Installation

The module is available on [PyPi](https://pypi.org/project/hp-16600-16700-rpi/) and can be installed using:

```
pip3 install hp-16600-16700-rpi
```

## Documentation

- [Quick start guide](https://hp-16600-16700-rpi.readthedocs.io/en/latest/source/quickstart.html)
- [Full documentation](https://hp-16600-16700-rpi.readthedocs.io/en/latest/index.html)
